Bug 25793 - OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade
Summary: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 14862
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-18 01:35 UTC by Alex Buckley
Modified: 2020-07-26 15:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00. 20.05.02, 19.11.08


Attachments
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade (1.98 KB, patch)
2020-06-23 00:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade (2.08 KB, patch)
2020-06-23 00:25 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade (2.14 KB, patch)
2020-06-26 08:25 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2020-06-18 01:35:17 UTC
To replicate:

1. Enable 'OAI-PMH' syspref
2. Go to : <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21 
e.g. localhost:8080/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21 
3. Click on the 'Set' and 'Metadata' dropdowns for any of the biblio records and observe nothing is displayed

Doing a git bisect it was found that this bug was introduced by 8b1fb387acee35ba64f61d59fd332a79d5759e06 (Bug 14862: Upgrade jQuery from 1.7 to 3.4.1 in OPAC)
Comment 1 Katrin Fischer 2020-06-22 21:37:49 UTC
I was about to file this as well. Adding Owen hoping he might have an idea.
Comment 2 Owen Leonard 2020-06-23 00:03:28 UTC
Created attachment 106172 [details] [review]
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade

This patch modifies the OAI XSLT file, correcting the path to jQuery
assets and adds a link to jquery-migrate.

To test, apply the patch and make sure the "OAI-PMH" system preference
is enabled.

1. Go to: <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
   e.g.
   localhost:8080/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
2. Click on the 'Sets' and 'Metadata' links. The corresponding
   panels with set and metatdata information should be shown.
Comment 3 Alex Buckley 2020-06-23 00:25:13 UTC
Created attachment 106173 [details] [review]
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade

This patch modifies the OAI XSLT file, correcting the path to jQuery
assets and adds a link to jquery-migrate.

To test, apply the patch and make sure the "OAI-PMH" system preference
is enabled.

1. Go to: <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
   e.g.
   localhost:8080/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
2. Click on the 'Sets' and 'Metadata' links. The corresponding
   panels with set and metatdata information should be shown.

Tested against master, works as described.
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 4 Julian Maurice 2020-06-26 08:25:13 UTC
Created attachment 106317 [details] [review]
Bug 25793: OAI 'Set' and 'Metadata' dropdowns broken by OPAC jQuery upgrade

This patch modifies the OAI XSLT file, correcting the path to jQuery
assets and adds a link to jquery-migrate.

To test, apply the patch and make sure the "OAI-PMH" system preference
is enabled.

1. Go to: <OPACBaseURL>/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
   e.g.
   localhost:8080/cgi-bin/koha/oai.pl?verb=ListRecords&metadataPrefix=marc21
2. Click on the 'Sets' and 'Metadata' links. The corresponding
   panels with set and metatdata information should be shown.

Tested against master, works as described.
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2020-06-29 11:50:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-07-13 16:21:11 UTC
backported to 20.05.x for 20.05.02
Comment 7 Aleisha Amohia 2020-07-16 04:33:41 UTC
backported to 19.11.x for 19.11.08
Comment 8 Victor Grousset/tuxayo 2020-07-26 15:40:22 UTC
Won't be backported to oldoldstable (19.05.x), it shouldn't be affected.